package com.beanpodtech.allinone.bean;

import java.util.List;

public class GetselectedvideoList extends BaseRequestBean {

    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * teacherName : 于宝山
         * className : 绝招必考(高三)
         * videoDuration : 01:29:27
         * videoName : 【语文】终极预测1
         * videoId : 16919c47704c49c3a19182d74c1eec49
         * picturePath : http://qingqu.ihongwen.com/Uploads/teacher/20200529/5ed1113ba0166.jpg
         * courseId : 16
         * addingStatus : false
         */

        private String teacherName;
        private String className;
        private String videoDuration;
        private String videoName;
        private String videoId;
        private String picturePath;
        private String courseId;
        private boolean addingStatus;

        public String getTeacherName() {
            return teacherName;
        }

        public void setTeacherName(String teacherName) {
            this.teacherName = teacherName;
        }

        public String getClassName() {
            return className;
        }

        public void setClassName(String className) {
            this.className = className;
        }

        public String getVideoDuration() {
            return videoDuration;
        }

        public void setVideoDuration(String videoDuration) {
            this.videoDuration = videoDuration;
        }

        public String getVideoName() {
            return videoName;
        }

        public void setVideoName(String videoName) {
            this.videoName = videoName;
        }

        public String getVideoId() {
            return videoId;
        }

        public void setVideoId(String videoId) {
            this.videoId = videoId;
        }

        public String getPicturePath() {
            return picturePath;
        }

        public void setPicturePath(String picturePath) {
            this.picturePath = picturePath;
        }

        public String getCourseId() {
            return courseId;
        }

        public void setCourseId(String courseId) {
            this.courseId = courseId;
        }

        public boolean isAddingStatus() {
            return addingStatus;
        }

        public void setAddingStatus(boolean addingStatus) {
            this.addingStatus = addingStatus;
        }
    }
}
